Package com.databricks.jdbc.api.impl

## Enum VolumeOperationStatus

- java.lang.Object
- - java.lang.Enum<VolumeOperationStatus>
  - - com.databricks.jdbc.api.impl.VolumeOperationStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<VolumeOperationStatus>`

    public enum VolumeOperationStatus
    extends Enum<VolumeOperationStatus>

### Enum Constant Summary

Enum Constants
`ABORTED`
`FAILED`
`PENDING`
`RUNNING`
`SUCCEEDED`

### Method Summary

All Methods Static Methods Concrete Methods
`static VolumeOperationStatus` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static VolumeOperationStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PENDING

    public static final VolumeOperationStatus PENDING

#### RUNNING

    public static final VolumeOperationStatus RUNNING

#### ABORTED

    public static final VolumeOperationStatus ABORTED

#### SUCCEEDED

    public static final VolumeOperationStatus SUCCEEDED

#### FAILED

    public static final VolumeOperationStatus FAILED

### Method Detail

#### values

    public static VolumeOperationStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VolumeOperationStatus c : VolumeOperationStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VolumeOperationStatus valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null